gtkmm: Gtk::RcStyle Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::RcStyle Class Reference
Inheritance diagram for Gtk::RcStyle:
[legend]
Collaboration diagram for Gtk::RcStyle:
[legend]

## Public Member Functions
| RcStyle (RcStyle&& src) noexcept
RcStyle& | operator= (RcStyle&& src) noexcept
| ~RcStyle () noexceptoverride
GtkRcStyle* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkRcStyle* | gobj () const
| Provides access to the underlying C GObject. More...
GtkRcStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< RcStyle > | copy () const
| Makes a copy of the specified Gtk::RcStyle. More...
void | set_name (const Glib::ustring& name)
Glib::ustring | get_name () const
void | set_bg_pixmap_name (Gtk::StateType state, const Glib::ustring& name)
Glib::ustring | get_bg_pixmap_name (Gtk::StateType state) const
void | set_font (const Pango::FontDescription& font_desc)
Pango::FontDescription | get_font () const
void | set_color_flags (Gtk::StateType state, RcFlags flags)
void | unset_color_flags (Gtk::StateType state, RcFlags flags)
RcFlags | get_color_flags (Gtk::StateType state) const
void | set_fg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_fg (Gtk::StateType state) const
void | set_bg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_bg (Gtk::StateType state) const
void | set_text (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_text (Gtk::StateType state) const
void | set_base (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_base (Gtk::StateType state) const
void | set_xthickness (int xthickness)
int | get_xthickness () const
void | set_ythickness (int ythickness)
int | get_ythickness () const
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< RcStyle > | create ()

## Protected Member Functions
| RcStyle ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::RcStyle > | wrap (GtkRcStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

Gtk::RcStyle::RcStyle | ( | RcStyle&& | src | ) |
| noexcept

Gtk::RcStyle::~RcStyle | ( |  | ) |
| overridenoexcept

Gtk::RcStyle::RcStyle | ( |  | ) |
| protected

## Member Function Documentation

Glib::RefPtr<RcStyle> Gtk::RcStyle::copy | ( |  | ) | const

Makes a copy of the specified Gtk::RcStyle.

This function will correctly copy an RC style that is a member of a class derived from Gtk::RcStyle.

Returns
  The resulting Gtk::RcStyle.

static Glib::RefPtr<RcStyle> Gtk::RcStyle::create | ( |  | ) |
| static

Gdk::Color Gtk::RcStyle::get_base | ( | Gtk::StateType | state | ) | const

Gdk::Color Gtk::RcStyle::get_bg | ( | Gtk::StateType | state | ) | const

Glib::ustring Gtk::RcStyle::get_bg_pixmap_name | ( | Gtk::StateType | state | ) | const

RcFlags Gtk::RcStyle::get_color_flags | ( | Gtk::StateType | state | ) | const

Gdk::Color Gtk::RcStyle::get_fg | ( | Gtk::StateType | state | ) | const

Pango::FontDescription Gtk::RcStyle::get_font | ( |  | ) | const

Glib::ustring Gtk::RcStyle::get_name | ( |  | ) | const

Gdk::Color Gtk::RcStyle::get_text | ( | Gtk::StateType | state | ) | const

static GType Gtk::RcStyle::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

int Gtk::RcStyle::get_xthickness | ( |  | ) | const

int Gtk::RcStyle::get_ythickness | ( |  | ) | const

GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkRcStyle* Gtk::RcStyle::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

RcStyle& Gtk::RcStyle::operator= | ( | RcStyle&& | src | ) |
| noexcept

void Gtk::RcStyle::set_base | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color
| ) |  |

void Gtk::RcStyle::set_bg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color
| ) |  |

void Gtk::RcStyle::set_bg_pixmap_name | ( | Gtk::StateType | state,
|  | const Glib::ustring & | name
| ) |  |

void Gtk::RcStyle::set_color_flags | ( | Gtk::StateType | state,
|  | RcFlags | flags
| ) |  |

void Gtk::RcStyle::set_fg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color
| ) |  |

void Gtk::RcStyle::set_font | ( | const Pango::FontDescription & | font_desc | ) |

void Gtk::RcStyle::set_name | ( | const Glib::ustring & | name | ) |

void Gtk::RcStyle::set_text | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color
| ) |  |

void Gtk::RcStyle::set_xthickness | ( | int | xthickness | ) |

void Gtk::RcStyle::set_ythickness | ( | int | ythickness | ) |

void Gtk::RcStyle::unset_color_flags | ( | Gtk::StateType | state,
|  | RcFlags | flags
| ) |  |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::RcStyle > wrap | ( | GtkRcStyle * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/rc.h